package com.yiqi.common.enums;

/**
 * @Author BKGin
 * @Email libra14xu@gmail.com
 * @Date 2024-09-07
 */
public enum OrderDeliveryStatusEnum {

    CREATE_ORDER_SUCCESS("10000", "订单创建成功"),
    STORE_CANCEL("20000", "商家取消订单"),
    DELIVERY_CANCEL("20001", "配送方取消订单"),
    SENDER_RECEIVE("30000", "配送员接单"),
    SENDER_ARRIVE_STORE("40000", "配送员到店"),
    SENDING("50000", "配送中"),
    SENDER_CANCEL("60000", "配送员撤单"),
    SEND_FINISH("70000", "配送完成"),
    SEND_ERROR("90000", "配送异常"),
    ;

    private final String code;
    private final String label;

    OrderDeliveryStatusEnum(String code, String label) {
        this.code = code;
        this.label = label;
    }

    public String getCode() {
        return code;
    }

    public String getLabel() {
        return label;
    }

}
